Class UmlBaseCollaborationMessage

this class manages messages in a collaboration diagram

Declaration :

- C++ : class UmlBaseCollaborationMessage : public UmlMessage
- Java : class UmlBaseCollaborationMessage extends UmlMessage

Directly inherited by : UmlCollaborationMessage

Artifact : UmlBaseCollaborationMessage

Operation rank

return the global rank of the message

Declaration :

- Uml : + rank() : int
- C++ : public: int rank() const
- Java : public int rank()

Operation hrank

return the hierarchical rank of the message

Declaration :

- Uml : + hrank() : string
- C++ : public: const QCString & hrank() const
- Java : public String hrank()

Attribut _rank

Declaration :

- Uml : - _rank : int
- C++ : private: int _rank
- Java : private int _rank

Attribut _hrank

Declaration :

- Uml : - _hrank : string
- C++ : private: QCString _hrank
- Java : private String _hrank

Operation read_

internal, don't call it

Declaration :

- Uml : + read_(in instances : UmlClassInstanceReference) : void
- C++ : private: void read_(const QPtrDict<UmlClassInstanceReference> & instances)
- Java : public void read_(Hashtable instances)

Extra Class Member friend

Definition :

- C++ :

        friend class UmlBaseCollaborationDiagramDefinition;

All public operations : form , from , hrank , operation , rank , read_ , read_ , to